.modal {
  .modal-dialog {
    .modal-content {
      width: 100%;
      background: #ffffff;
      box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
      border-radius: 15px;
      padding: 30px 40px 40px;

      .modal-header {
        padding: 0 0 25px 0;
        border-radius: 0;
        border-bottom: 1px solid #b0b0b0;
      }

      .modal-body {
        padding: 0;
      }
    }
  }
}

.payment-content {
  .payment-content__info {
    padding: 25px 0 50px;
    border-bottom: 1px solid #b0b0b0;

    h5 {
      font-weight: 600;
      font-size: 1.33rem;
      line-height: 25px;
      color: #3b3b3b;
      margin-bottom: 50px;
    }

    .payment-content__info-lisence {
      &:not(:last-child) {
        margin-bottom: 75px;
      }

      span {
        margin-right: 25px;
        font-weight: 600;
        font-size: 1.06rem;
        line-height: 20px;
        color: #7e7e7e;
      }

      select {
        background: #ededed;
        border-radius: 6px;
        border: none;
        width: 161px;
        font-weight: 400;
        font-size: 0.94rem;
        line-height: 18px;
        padding: 10px 0 10px 10px;

        option {
          font-weight: 400;
          font-size: 0.94rem;
          line-height: 18px;
        }
      }

      p {
        font-weight: 600;
        font-size: 1.06rem;
        line-height: 20px;
        color: #0798d4;
      }
    }
  }

  .payment-content__methods {
    h5 {
      margin: 25px 0;
      font-weight: 600;
      font-size: 1.33rem;
      line-height: 25px;
      color: #3b3b3b;
    }

    .payment-content__methods-list {
      display: flex;
      align-items: center;
      justify-content: space-between;

      .payment__methods-list {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: center;

        .payment__methods-list-item {
          padding: 10px;

          &:not(:last-child) {
            margin-right: 30px;
          }

          .payment__methods-list-link {
            img {
              object-fit: cover;
              width: 100%;
              height: 100%;
              max-width: 130px;
              max-height: 80px;
            }
          }

          &.active {
            border: 1px solid rgba($color: #0798d4, $alpha: 0.5);
            border-radius: 10px;
          }
        }
      }

      .payment-content__methods-btn {
        font-weight: 500;
        font-size: 0.94rem;
        line-height: 18px;
        text-align: center;
        color: #ffffff;
        background-color: #0798d4;
        border-radius: 31.5px;
        border: none;
        padding: 10px 56px;
      }
    }
  }
}

#payments-success {
  .payment-content {
    width: 100%;
    background: #ffffff;
    box-shadow: 0px 3px 8px rgba(0, 0, 0, 0.05);
    border-radius: 15px;
    margin: 170px 0 115px;
    padding: 110px 0;

    .payment-content__confirm {
      text-align: center;
      color: #3b3b3b;
      font-weight: 300;
      font-size: 1.33rem;
      line-height: 20px;
      margin-bottom: 80px;

      p {
        margin-bottom: 25px;
      }
    }

    .payment-content__text {
      text-align: center;
      color: #3b3b3b;
      font-weight: 400;
      font-size: 1.33rem;
      line-height: 20px;

      .payment-content__text-icon {
        color: #0798d4;
        font-size: 4rem;
      }

      h3 {
        font-weight: 600;
        font-size: 1.33rem;
        line-height: 28px;
        color: #3b3b3b;
        margin: 25px 0;
      }
    }
  }
}

@media (max-width: 1690px) {
}

@media (max-width: 1200px) {
  #payments-success {
    .payment-content {
      margin: 140px 0 100px;
      padding: 80px 0;

      .payment-content__confirm {
        font-size: 1.2rem;
        margin-bottom: 60px;

        p {
          margin-bottom: 20px;
        }
      }
    }
  }
}

@media (max-width: 991.98px) {
  .payment-content {
    .payment-content__methods {
      .payment-content__methods-list {
        flex-wrap: wrap;
        justify-content: center;

        .payment__methods-list {
          margin-bottom: 25px;

          .payment__methods-list-item {
            &:not(:last-child) {
              margin-right: 25px;
            }

            .payment__methods-list-link {
              img {
                min-width: 110px;
              }
            }
          }
        }
      }
    }
  }

  #payments-success {
    .payment-content {
      margin: 110px 0 80px;
      padding: 65px 10px 40px;

      .payment-content__confirm {
        font-size: 1.1rem;
        margin-bottom: 45px;

        p {
          margin-bottom: 15px;
        }
      }

      .payment-content__text {
        .payment-content__text-icon {
          font-size: 3.5rem;
        }

        h3 {
          margin: 20px 0 15px;
        }
      }
    }
  }
}

@media (max-width: 767.98px) {
  #payments-success {
    .payment-content {
      margin: 80px 0;
      padding: 60px 10px 35px;

      .payment-content__confirm {
        font-size: 1rem;
        margin-bottom: 35px;

        p {
          margin-bottom: 12px;
        }
      }

      .payment-content__text {
        .payment-content__text-icon {
          font-size: 3rem;
        }

        h3 {
          margin: 15px 0 0px;
          font-size: 1.1rem;
        }
      }
    }
  }
}

@media (max-width: 578px) {
}

@media (max-width: 500px) {
  .modal {
    .modal-dialog {
      .modal-content {
        padding: 30px 30px 40px;
      }
    }
  }

  .payment-content {
    .payment-content__methods {
      .payment-content__methods-list {
        .payment__methods-list {
          .payment__methods-list-item {
            &:not(:last-child) {
              margin-right: 15px;
            }

            .payment__methods-list-link {
              img {
                min-width: 95px;
              }
            }
          }
        }
      }
    }
  }
}

@media (max-width: 430px) {
  .modal {
    .modal-dialog {
      .modal-content {
        padding: 30px 30px 40px;

        .modal-header {
          padding: 0 0 15px 0;

          .text-truncate {
            font-size: 1.4rem;
            white-space: break-spaces;
          }
        }
      }
    }
  }

  .payment-content {
    .payment-content__info {
      padding: 20px 0 30px;

      h5 {
        font-size: 1.1rem;
        margin-bottom: 20px;
      }

      .payment-content__info-lisence {
        &:not(:last-child) {
          margin-bottom: 35px;
        }
      }

      .col-sm-2 {
        margin-bottom: 5px;
      }
    }

    .payment-content__methods {
      h5 {
        font-size: 1.1rem;
        margin-bottom: 20px;
      }

      .payment-content__methods-list {
        .payment__methods-list {
          margin-bottom: 5px;
          .payment__methods-list-item {
            margin-bottom: 10px;

            &:not(:last-child) {
              margin-right: 6px;
            }

            .payment__methods-list-link {
              img {
                height: 26px;
                min-width: 95px;
              }
            }
          }
        }
      }
    }
  }
}
